Bug 20976 - bzImage created does not boot
Summary: bzImage created does not boot
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-16 19:42 UTC by Need Real Name
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 03:44:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-11-16 19:42:58 UTC
Installed RH7.0 and all the Updates.

I do a make mrproper; make xconfig; make dep; make bzImage;

in xconfig i load the "configs/kernel-2.2.16-i686", save and exit.

The kernel compiles and the bzImage is made.

do a cp bzImage /dev/fd0 and boot. I see the following :

-----------------------------------------------------------------

Loading...............................
Uncompressing Linux...

invalid compressed format (err=2)

 -- System halted --

--------------------------------------------------------------

I have tried all the iX86 config files all with the same result.
The kernel is also to large (611k) for zImage.

This worked with kernel-2.2.14-XX

Comment 1 Arjan van de Ven 2000-11-20 15:45:05 UTC
you should probably not use "cp" with this.
Could you try:

dd if=bzImage of=/dev/fd0

instead?
(and then use rdev to set your root filesystem)

Comment 2 Need Real Name 2000-11-20 18:21:49 UTC
I tried using the dd if=..... and the same thing.

I also grabbed the 2.4.0 kernel and that builds/boots just fine.

I also symlink'd /usr/include/[asm,linux] to /usr/src/linux-2.2.16/include/
[asm,linux] so that the includes are from the 2.2.16 kernel rather than the 
2.4.0. But that still does not produce a bootable kernel.



Note You need to log in before you can comment on or make changes to this bug.